package com.bytedance.android.livesdk.livesetting.comment;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_comment_input_dialog_animation_v2")
public final class LiveInputDialogAnimationSetting {
    @Group(isDefault = true, value = "default group")
    public static final boolean DEFAULT = false;
    public static final LiveInputDialogAnimationSetting INSTANCE = new LiveInputDialogAnimationSetting();
    public static boolean disable;

    public final boolean getDisable() {
        return disable;
    }

    public static final boolean enableOpt() {
        if (!disable) {
            return true;
        }
        return false;
    }

    static {
        Covode.recordClassIndex(17754);
    }

    public static final boolean getValue() {
        return SettingsManager.INSTANCE.getBooleanValue(LiveInputDialogAnimationSetting.class);
    }

    public static final boolean windowInsetsAnimationEnable() {
        if (!enableOpt() || !SettingsManager.INSTANCE.getBooleanValue(LiveInputDialogAnimationSetting.class)) {
            return false;
        }
        return true;
    }

    public final void setDisable(boolean z) {
        disable = z;
    }
}
